# Satellite Public Keys

Cryptosat attests to the authenticity of responses and broadcasts coming from its satellites by producing a digital signature over each response sent to the ground. The public keys listed here can be used to verify those responses. Public keys are over a 256-bit Koblitz curve (`SECP256K1`) and the signature scheme used is `ECDSA` over a `SHA-256` hash of the data.

### Crypto1

`Crypto1` signature verification key:

```
-----BEGIN PUBLIC KEY-----
MFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAElt2C3k2gRBcAIv/O6I5Q27OJYQp0aj5V
0BX7xi211V2mbGqq72RLrbA1CO+e2oaug2dnGHRrtJEsOmwg88HRKQ==
-----END PUBLIC KEY-----
```

### Crypto2

`Crypto2` signature verification key:

<pre><code>-----BEGIN PUBLIC KEY-----
<strong>MFYwEAYHKoZIzj0CAQYFK4EEAAoDQgAEoEPVZX/O8OQ+A0MUReZB27xMQ8Zt0eyE
</strong><strong>lbXKsMzY+KCzfqTFFiiCOYgrzEZO3j15Ww9f6ppPvHIwJsYf6PVjCw==
</strong>-----END PUBLIC KEY-----
</code></pre>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cryptosat.io/cryptosat/api-documentation/satellite-public-keys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
